GET
/form/:form-key/Get single pop-up
You can return details about your pop-up.
To access a single pop-up you need a 36 character form key, that can be found when listing all pop-ups.
Request
- CURL
- JavaScript
- PHP
- Python
curl -X GET -H "Authorization: Token <your_64_char_api_key>"
-H "Accept: */*; version=2"
"https://<your_app_subdomain>.user.com/api/public/form/:form-key"
var data = null;
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("GET", "https://<your_app_subdomain>.user.com/api/public/form/:form-key");
xhr.setRequestHeader("authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("accept", "*/*; version=2");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/form/:form-key",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "",
CURLOPT_HTTPHEADER => array(
"Accept: */*; version=2",
"authorization: Token <your_64_char_api_key>"
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests
url = "https://<your_app_subdomain>.user.com/api/public/form/:form-key"
headers = {'authorization': 'Token <your_64_char_api_key>'}
response = requests.get(url, headers=headers)
print(response.text)
Response
{
"key": "a2c9111a-bbbb-cccc-1234-abcde1231234",
"statistics": {
"id": 2,
"shown_counter": 200,
"submit_counter": 50,
"ctr": "25.00",
"form": "aaaaaaaa-bbbb-cccc-1234-abcdef98754"
},
"name": "Pop-up 1",
"description": "Description of the second pop-up",
"created_at": "2020-03-03T16:00:00.000000Z",
"updated_at": "2020-03-03T16:00:00.000000Z",
"content": "Content of the pop-up",
"preview": null,
"predefined_template_json": null,
"preview_file": null,
"author": 13
}